FAUCC(1)

NAME
faucc - C compiler generating Intel code for 16 bit/32 bit CPUs.

SYNOPSIS

faucc [ -B path ] [ -D MACRO [=def]] [ -E ] [ -I path ] [ -L path ] [ -MD ] [-MF file ] [ -MP ] [ -MT target ] [ -O level ] [ -S ] [ -T script ] [ -U macro ] [ -Wl,arg ] [ -Xlinker arg ] [ -b arch ] [ -c ] [ -f arg ] [ -m arch ] [ -nostdlib ] [ -o output ] [ -print-lib-faucc-file-name ] [ --freestanding ] [ --no-stack-protector ] { file ...}

DESCRIPTION

faucc is a C compiler, that can generate Intel 16 bit or 32 bit Code.

OPTIONS

faucc tries to mimic the options of gcc. A number of options will be passed to the C preprocessor cpp or to the linker (done via a call to the c-compiler gcc) in unmodified form.

-B path
    Override the directory prefix where cc1 is looked up with path.

-D MACRO, -D MACRO=def
    Define MACRO with the optional initial definition def. If def is omitted, it defaults to 1.

-E
    Only perform preprocessing, but do not run the compiler.

-I path
    Add path to the include path in which header files are searched.

-L path
    Add path to the library search path, in which the linker will look for libraries.

-MD
    Output dependency information while preprocessing.

-MF, file
    Output dependency information while preprocessing to file.

-MP,
    When the preprocessor should output dependency information, it will generate PHONY targets for each dependency.

-MT target
    When the preprocessor should output dependency information, use target as the dependency rule target.

-O level
    Currently ignored.

-S
    Output assembly code.

-T script
    Use script as linker script.

-U macro
    Undefine a previously defined macro.

-Wl,arg, -Xlinker arg
    Pass arg to the linker.

-b arch
    Generate code for arch (either i286 or i386)

-c
    Perform compilation, but do not link.

-f arg
    Pass code generation argument arg to the compiler. See the cc1 man page for possible arguments.

-m arch
    Currently ignored.

-nostdlib
    With this option, the linker will only search for libraries that are passed as command line arguments.

-o file
    Write output to file.

-print-libfaucc-file-name
    Print the full path of the internal compiler library libfaucc.a.

-static
    Perform static linking.

--freestanding, --no-stack-protector
    Currently ignored.

EXAMPLES

faucc -c hello-world.c -o hello-world.o
    Compile the program hello-world.c and output the object as hello-wolrd.o.

faucc -S -b i286 -o test.s test.c
    Compile the program test.c to 16 bit code and output the assembly listing to test.s, but do not assemble or link the result yet.

SEE ALSO

cc1(1) , cpp(1) , gcc(1) , ld(1)

CONTACT

Please report all bugs to FAUcc Team <info@faumachine.org>. FAUcc Homepage[1].

AUTHOR

FAUcc Team

COPYRIGHT
Copyright © 2009 FAUcc Team. Developed at Friedrich Alexander University Erlangen-Nuremberg.

FAUcc comes with ABSOLUTELY NO WARRANTY. FAUcc is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. See COPYING for details.

NOTES

1.  FAUcc Homepage
    http://www.faumachine.org